-- Main.lua
-- Written by Rod, Almagnus1

-- Tobii Changelog:
-- 2011/XX/XX 2.0.2 - Item counter in title. Warning when slots are not displayed. Fixed bugs.
-- 2011/01/12 2.0.1 - No longer dependant upon LotRO Examples.  Added inventory count to title.
-- 2010/12/08 2.0.0 - Overhauled codebase. Users can now resize Tobii.  Still broken.
-- 2010/11/29 1.0.1 - Fixed a bug caused by the November 2010 Update.
-- 2010/10/5  1.0   - Initial release.

import "Almagnus1.Tobii";

setMan = TobiiSettingsManager();
setMan:Load();
tobii = TobiiWindow(setMan);
--[[ 
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );
--]]
tobiiCommand = Turbine.ShellCommand();

function tobiiCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		tobii:SetVisible( true );
	elseif ( arguments == "hide" ) then
		tobii:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		tobii:SetVisible( not tobii:IsVisible() );--[ [ Debugging tools
	elseif ( arguments == "dumpinv" ) then
		tobii:DumpBackpack();--] ]
	elseif ( arguments == "defaultshow" ) then
		tobii:SetDefaultVisibility( true );
		Turbine.Shell.WriteLine( "Tobii will load visibile." );
	elseif ( arguments == "defaulthide" ) then
		tobii:SetDefaultVisibility( false );
		Turbine.Shell.WriteLine( "Tobii will load hidden." );
	-- Future update place holders	
	--elseif ( arguments == "noshow") then
		-- TODO: Decide if this feature should be implemented in 2.0.3
		--Turbine.Shell.WriteLine("TODO: Impelment");
		--Turbine.Shell.WriteLine( "Tobii will hide the counter for used/free inventory slots." );
	--elseif ( arguments == "showused" ) then
		-- TODO: implement code that shows used/total slots in title bar
		--Turbine.Shell.WriteLine("TODO: Implement");
		--Turbine.Shell.WriteLine( "Tobii show the number of used inventory slots." );
	--elseif ( arguments == "showfree" ) then
		-- TODO: implement code that shows free/total slots in title bar
		--Turbine.Shell.WriteLine("TODO: Implement");
		--Turbine.Shell.WriteLine( "Tobii show the number of free inventory slots." );
	else
		Turbine.Shell.WriteLine( "Tobii does not recoginze the command \"" .. arguments .. "\"." );
	end
end

Turbine.Shell.AddCommand( "tobii", tobiiCommand );
Turbine.Shell.WriteLine( "Tobii v2.0.2 by Almagnus1" );

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );
	setMan:Save();
end